<template lang="pug">

mixin Param
  BaseParamInput.col-12.col-sm-6.col-lg-4.col-xl-2&attributes(attributes)

mixin ParamReadonly
  BaseParamReadonly.col-12.col-sm-6.col-lg-4.col-xl-2&attributes(attributes)

.col-12
  BaseCollapsible(:expand='showAcq || showZsp')
    template(v-slot:header)
      .row
        .col-4
          strong #[i.fa.fa-microchip] {{ "CARD" + card.index }}
        BaseAnimationBlock.col-4
          span(v-if="sampleRate && !inEdit") {{ sampleRate }} MS/s
        BaseAnimationBlock.col-4
          span(v-if="sampleSize && !inEdit") {{ sampleSize }} KS

    .col-12
      BaseCollapsible(:expand='showAcq')
        template(v-slot:header)
          strong Acquisition
        template(v-slot:default='c')
          BaseAnimationBlock(anim="delay" :appear='false' mode='' :options='{ outDelay: 0.3 }')
            .col-12(v-if='c.isExpanded')
              .row.b-param-container
                +ParamReadonly(title='Card Type'
                  :inEdit='inEdit' :value="card.type")
                +ParamReadonly(title='Card Serial'
                  :inEdit='inEdit' :value="card.serialNumber")
                BaseParamList.col-12.col-sm-6.col-lg-4.col-xl-2(ref="sampleRate" title='Sample Rate [MS/s]'
                  :inEdit='inEdit' :value="sampleRate"
                  :options="SampleRateValues"
                  @edit='updateEditSampleSize(); pushEditValue("sampleRate", $event)')
                +ParamReadonly(ref="sampleSize" title='Sample Size [KS]'
                  :inEdit='inEdit' :value="sampleSize"
                  type="number" :max="maxSampleSize" :min="minSampleSize"
                  @wheel.native='$event.target.blur()'
                  @edit='$refs.sampleSize.checkValidity(); pushEditValue("sampleSize", $event)' )
                +Param(ref="timeWindow" title='Time Window [ms]'
                  type='number' step='0.001' :max="maxEditTimeWindow" min='0'
                  :inEdit='inEdit' :value="timeWindow"
                  @wheel.native='$event.target.blur()'
                  @edit='updateEditSampleSize()')
                +Param(ref="delay" title="Delay [ns]" :value="delay" :inEdit="inEdit"
                  @edit='pushEditValue("delay", $event)')
    .col-12
      template(v-for='channel in card.channelsCount')
        Channel(ref='Channels' :key="channel"
          :daq="daq" :card="card" :channel="channel-1" :source='source'
          :inEdit="inEdit"
          @loaded='onChannelLoaded' )
</template>
<script>
export { default } from './DaqCard.vue.js';
</script>
